Spam scanning investigation
[gnucomo.git] / test / Makefile.in
1 # Makefile.in generated by automake 1.15 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16 VPATH = @srcdir@
17 am__is_gnu_make = { \
18   if test -z '$(MAKELEVEL)'; then \
19     false; \
20   elif test -n '$(MAKE_HOST)'; then \
21     true; \
22   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
23     true; \
24   else \
25     false; \
26   fi; \
27 }
28 am__make_running_with_option = \
29   case $${target_option-} in \
30       ?) ;; \
31       *) echo "am__make_running_with_option: internal error: invalid" \
32               "target option '$${target_option-}' specified" >&2; \
33          exit 1;; \
34   esac; \
35   has_opt=no; \
36   sane_makeflags=$$MAKEFLAGS; \
37   if $(am__is_gnu_make); then \
38     sane_makeflags=$$MFLAGS; \
39   else \
40     case $$MAKEFLAGS in \
41       *\\[\ \   ]*) \
42         bs=\\; \
43         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
44           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
45     esac; \
46   fi; \
47   skip_next=no; \
48   strip_trailopt () \
49   { \
50     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
51   }; \
52   for flg in $$sane_makeflags; do \
53     test $$skip_next = yes && { skip_next=no; continue; }; \
54     case $$flg in \
55       *=*|--*) continue;; \
56         -*I) strip_trailopt 'I'; skip_next=yes;; \
57       -*I?*) strip_trailopt 'I';; \
58         -*O) strip_trailopt 'O'; skip_next=yes;; \
59       -*O?*) strip_trailopt 'O';; \
60         -*l) strip_trailopt 'l'; skip_next=yes;; \
61       -*l?*) strip_trailopt 'l';; \
62       -[dEDm]) skip_next=yes;; \
63       -[JT]) skip_next=yes;; \
64     esac; \
65     case $$flg in \
66       *$$target_option*) has_opt=yes; break;; \
67     esac; \
68   done; \
69   test $$has_opt = yes
70 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
71 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
72 pkgdatadir = $(datadir)/@PACKAGE@
73 pkgincludedir = $(includedir)/@PACKAGE@
74 pkglibdir = $(libdir)/@PACKAGE@
75 pkglibexecdir = $(libexecdir)/@PACKAGE@
76 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
77 install_sh_DATA = $(install_sh) -c -m 644
78 install_sh_PROGRAM = $(install_sh) -c
79 install_sh_SCRIPT = $(install_sh) -c
80 INSTALL_HEADER = $(INSTALL_DATA)
81 transform = $(program_transform_name)
82 NORMAL_INSTALL = :
83 PRE_INSTALL = :
84 POST_INSTALL = :
85 NORMAL_UNINSTALL = :
86 PRE_UNINSTALL = :
87 POST_UNINSTALL = :
88 subdir = test
89 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
90 am__aclocal_m4_deps = $(top_srcdir)/configure.ac
91 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
92         $(ACLOCAL_M4)
93 DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
94 mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
95 CONFIG_HEADER = $(top_builddir)/config.h
96 CONFIG_CLEAN_FILES =
97 CONFIG_CLEAN_VPATH_FILES =
98 AM_V_P = $(am__v_P_@AM_V@)
99 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
100 am__v_P_0 = false
101 am__v_P_1 = :
102 AM_V_GEN = $(am__v_GEN_@AM_V@)
103 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
104 am__v_GEN_0 = @echo "  GEN     " $@;
105 am__v_GEN_1 = 
106 AM_V_at = $(am__v_at_@AM_V@)
107 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
108 am__v_at_0 = @
109 am__v_at_1 = 
110 SOURCES =
111 DIST_SOURCES =
112 am__can_run_installinfo = \
113   case $$AM_UPDATE_INFO_DIR in \
114     n|no|NO) false;; \
115     *) (install-info --version) >/dev/null 2>&1;; \
116   esac
117 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
118 am__tty_colors_dummy = \
119   mgn= red= grn= lgn= blu= brg= std=; \
120   am__color_tests=no
121 am__tty_colors = { \
122   $(am__tty_colors_dummy); \
123   if test "X$(AM_COLOR_TESTS)" = Xno; then \
124     am__color_tests=no; \
125   elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
126     am__color_tests=yes; \
127   elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
128     am__color_tests=yes; \
129   fi; \
130   if test $$am__color_tests = yes; then \
131     red='\e[0;31m'; \
132     grn='\e[0;32m'; \
133     lgn='\e[1;32m'; \
134     blu='\e[1;34m'; \
135     mgn='\e[0;35m'; \
136     brg='\e[1m'; \
137     std='\e[m'; \
138   fi; \
139 }
140 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
141 am__vpath_adj = case $$p in \
142     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
143     *) f=$$p;; \
144   esac;
145 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
146 am__install_max = 40
147 am__nobase_strip_setup = \
148   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
149 am__nobase_strip = \
150   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
151 am__nobase_list = $(am__nobase_strip_setup); \
152   for p in $$list; do echo "$$p $$p"; done | \
153   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
154   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
155     if (++n[$$2] == $(am__install_max)) \
156       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
157     END { for (dir in files) print dir, files[dir] }'
158 am__base_list = \
159   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
160   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
161 am__uninstall_files_from_dir = { \
162   test -z "$$files" \
163     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
164     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
165          $(am__cd) "$$dir" && rm -f $$files; }; \
166   }
167 am__recheck_rx = ^[     ]*:recheck:[    ]*
168 am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
169 am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
170 # A command that, given a newline-separated list of test names on the
171 # standard input, print the name of the tests that are to be re-run
172 # upon "make recheck".
173 am__list_recheck_tests = $(AWK) '{ \
174   recheck = 1; \
175   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
176     { \
177       if (rc < 0) \
178         { \
179           if ((getline line2 < ($$0 ".log")) < 0) \
180             recheck = 0; \
181           break; \
182         } \
183       else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
184         { \
185           recheck = 0; \
186           break; \
187         } \
188       else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
189         { \
190           break; \
191         } \
192     }; \
193   if (recheck) \
194     print $$0; \
195   close ($$0 ".trs"); \
196   close ($$0 ".log"); \
197 }'
198 # A command that, given a newline-separated list of test names on the
199 # standard input, create the global log from their .trs and .log files.
200 am__create_global_log = $(AWK) ' \
201 function fatal(msg) \
202 { \
203   print "fatal: making $@: " msg | "cat >&2"; \
204   exit 1; \
205 } \
206 function rst_section(header) \
207 { \
208   print header; \
209   len = length(header); \
210   for (i = 1; i <= len; i = i + 1) \
211     printf "="; \
212   printf "\n\n"; \
213 } \
214 { \
215   copy_in_global_log = 1; \
216   global_test_result = "RUN"; \
217   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
218     { \
219       if (rc < 0) \
220          fatal("failed to read from " $$0 ".trs"); \
221       if (line ~ /$(am__global_test_result_rx)/) \
222         { \
223           sub("$(am__global_test_result_rx)", "", line); \
224           sub("[        ]*$$", "", line); \
225           global_test_result = line; \
226         } \
227       else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
228         copy_in_global_log = 0; \
229     }; \
230   if (copy_in_global_log) \
231     { \
232       rst_section(global_test_result ": " $$0); \
233       while ((rc = (getline line < ($$0 ".log"))) != 0) \
234       { \
235         if (rc < 0) \
236           fatal("failed to read from " $$0 ".log"); \
237         print line; \
238       }; \
239       printf "\n"; \
240     }; \
241   close ($$0 ".trs"); \
242   close ($$0 ".log"); \
243 }'
244 # Restructured Text title.
245 am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
246 # Solaris 10 'make', and several other traditional 'make' implementations,
247 # pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
248 # by disabling -e (using the XSI extension "set +e") if it's set.
249 am__sh_e_setup = case $$- in *e*) set +e;; esac
250 # Default flags passed to test drivers.
251 am__common_driver_flags = \
252   --color-tests "$$am__color_tests" \
253   --enable-hard-errors "$$am__enable_hard_errors" \
254   --expect-failure "$$am__expect_failure"
255 # To be inserted before the command running the test.  Creates the
256 # directory for the log if needed.  Stores in $dir the directory
257 # containing $f, in $tst the test, in $log the log.  Executes the
258 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
259 # passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
260 # will run the test scripts (or their associated LOG_COMPILER, if
261 # thy have one).
262 am__check_pre = \
263 $(am__sh_e_setup);                                      \
264 $(am__vpath_adj_setup) $(am__vpath_adj)                 \
265 $(am__tty_colors);                                      \
266 srcdir=$(srcdir); export srcdir;                        \
267 case "$@" in                                            \
268   */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
269     *) am__odir=.;;                                     \
270 esac;                                                   \
271 test "x$$am__odir" = x"." || test -d "$$am__odir"       \
272   || $(MKDIR_P) "$$am__odir" || exit $$?;               \
273 if test -f "./$$f"; then dir=./;                        \
274 elif test -f "$$f"; then dir=;                          \
275 else dir="$(srcdir)/"; fi;                              \
276 tst=$$dir$$f; log='$@';                                 \
277 if test -n '$(DISABLE_HARD_ERRORS)'; then               \
278   am__enable_hard_errors=no;                            \
279 else                                                    \
280   am__enable_hard_errors=yes;                           \
281 fi;                                                     \
282 case " $(XFAIL_TESTS) " in                              \
283   *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
284     am__expect_failure=yes;;                            \
285   *)                                                    \
286     am__expect_failure=no;;                             \
287 esac;                                                   \
288 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
289 # A shell command to get the names of the tests scripts with any registered
290 # extension removed (i.e., equivalently, the names of the test logs, with
291 # the '.log' extension removed).  The result is saved in the shell variable
292 # '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
293 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
294 # since that might cause problem with VPATH rewrites for suffix-less tests.
295 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
296 am__set_TESTS_bases = \
297   bases='$(TEST_LOGS)'; \
298   bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
299   bases=`echo $$bases`
300 RECHECK_LOGS = $(TEST_LOGS)
301 AM_RECURSIVE_TARGETS = check recheck
302 TEST_SUITE_LOG = test-suite.log
303 TEST_EXTENSIONS = @EXEEXT@ .test
304 LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
305 LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
306 am__set_b = \
307   case '$@' in \
308     */*) \
309       case '$*' in \
310         */*) b='$*';; \
311           *) b=`echo '$@' | sed 's/\.log$$//'`; \
312        esac;; \
313     *) \
314       b='$*';; \
315   esac
316 am__test_logs1 = $(TESTS:=.log)
317 am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
318 TEST_LOGS = $(am__test_logs2:.test.log=.log)
319 TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
320 TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
321         $(TEST_LOG_FLAGS)
322 am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/mkinstalldirs \
323         $(top_srcdir)/test-driver
324 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
325 ACLOCAL = @ACLOCAL@
326 AMTAR = @AMTAR@
327 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
328 AUTOCONF = @AUTOCONF@
329 AUTOHEADER = @AUTOHEADER@
330 AUTOMAKE = @AUTOMAKE@
331 AWK = @AWK@
332 CC = @CC@
333 CCDEPMODE = @CCDEPMODE@
334 CFLAGS = @CFLAGS@
335 CPPFLAGS = @CPPFLAGS@
336 CXX = @CXX@
337 CXXCPP = @CXXCPP@
338 CXXDEPMODE = @CXXDEPMODE@
339 CXXFLAGS = @CXXFLAGS@
340 CYGPATH_W = @CYGPATH_W@
341 DEFS = @DEFS@
342 DEPDIR = @DEPDIR@
343 ECHO_C = @ECHO_C@
344 ECHO_N = @ECHO_N@
345 ECHO_T = @ECHO_T@
346 EGREP = @EGREP@
347 EXEEXT = @EXEEXT@
348 GREP = @GREP@
349 INSTALL = @INSTALL@
350 INSTALL_DATA = @INSTALL_DATA@
351 INSTALL_PROGRAM = @INSTALL_PROGRAM@
352 INSTALL_SCRIPT = @INSTALL_SCRIPT@
353 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
354 LDFLAGS = @LDFLAGS@
355 LIBOBJS = @LIBOBJS@
356 LIBPQXX_CFLAGS = @LIBPQXX_CFLAGS@
357 LIBPQXX_LIBS = @LIBPQXX_LIBS@
358 LIBS = @LIBS@
359 LTLIBOBJS = @LTLIBOBJS@
360 MAKEINFO = @MAKEINFO@
361 MKDIR_P = @MKDIR_P@
362 OBJEXT = @OBJEXT@
363 PACKAGE = @PACKAGE@
364 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
365 PACKAGE_NAME = @PACKAGE_NAME@
366 PACKAGE_STRING = @PACKAGE_STRING@
367 PACKAGE_TARNAME = @PACKAGE_TARNAME@
368 PACKAGE_URL = @PACKAGE_URL@
369 PACKAGE_VERSION = @PACKAGE_VERSION@
370 PATH_SEPARATOR = @PATH_SEPARATOR@
371 PKG_CONFIG = @PKG_CONFIG@
372 PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
373 PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
374 RANLIB = @RANLIB@
375 SET_MAKE = @SET_MAKE@
376 SHELL = @SHELL@
377 STRIP = @STRIP@
378 VERSION = @VERSION@
379 XML_CONFIG = @XML_CONFIG@
380 abs_builddir = @abs_builddir@
381 abs_srcdir = @abs_srcdir@
382 abs_top_builddir = @abs_top_builddir@
383 abs_top_srcdir = @abs_top_srcdir@
384 ac_ct_CC = @ac_ct_CC@
385 ac_ct_CXX = @ac_ct_CXX@
386 am__include = @am__include@
387 am__leading_dot = @am__leading_dot@
388 am__quote = @am__quote@
389 am__tar = @am__tar@
390 am__untar = @am__untar@
391 bindir = @bindir@
392 build_alias = @build_alias@
393 builddir = @builddir@
394 datadir = @datadir@
395 datarootdir = @datarootdir@
396 docdir = @docdir@
397 dvidir = @dvidir@
398 exec_prefix = @exec_prefix@
399 host_alias = @host_alias@
400 htmldir = @htmldir@
401 includedir = @includedir@
402 infodir = @infodir@
403 install_sh = @install_sh@
404 libdir = @libdir@
405 libexecdir = @libexecdir@
406 localedir = @localedir@
407 localstatedir = @localstatedir@
408 mandir = @mandir@
409 mkdir_p = @mkdir_p@
410 oldincludedir = @oldincludedir@
411 pdfdir = @pdfdir@
412 prefix = @prefix@
413 program_transform_name = @program_transform_name@
414 psdir = @psdir@
415 runstatedir = @runstatedir@
416 sbindir = @sbindir@
417 sharedstatedir = @sharedstatedir@
418 srcdir = @srcdir@
419 sysconfdir = @sysconfdir@
420 target_alias = @target_alias@
421 top_build_prefix = @top_build_prefix@
422 top_builddir = @top_builddir@
423 top_srcdir = @top_srcdir@
424 TESTS = gcmtest
425 all: all-am
426
427 .SUFFIXES:
428 .SUFFIXES: .log .test .test$(EXEEXT) .trs
429 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
430         @for dep in $?; do \
431           case '$(am__configure_deps)' in \
432             *$$dep*) \
433               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
434                 && { if test -f $@; then exit 0; else break; fi; }; \
435               exit 1;; \
436           esac; \
437         done; \
438         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu test/Makefile'; \
439         $(am__cd) $(top_srcdir) && \
440           $(AUTOMAKE) --gnu test/Makefile
441 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
442         @case '$?' in \
443           *config.status*) \
444             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
445           *) \
446             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
447             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
448         esac;
449
450 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
451         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
452
453 $(top_srcdir)/configure:  $(am__configure_deps)
454         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
455 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
456         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
457 $(am__aclocal_m4_deps):
458 tags TAGS:
459
460 ctags CTAGS:
461
462 cscope cscopelist:
463
464
465 # Recover from deleted '.trs' file; this should ensure that
466 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
467 # both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
468 # to avoid problems with "make -n".
469 .log.trs:
470         rm -f $< $@
471         $(MAKE) $(AM_MAKEFLAGS) $<
472
473 # Leading 'am--fnord' is there to ensure the list of targets does not
474 # expand to empty, as could happen e.g. with make check TESTS=''.
475 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
476 am--force-recheck:
477         @:
478
479 $(TEST_SUITE_LOG): $(TEST_LOGS)
480         @$(am__set_TESTS_bases); \
481         am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
482         redo_bases=`for i in $$bases; do \
483                       am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
484                     done`; \
485         if test -n "$$redo_bases"; then \
486           redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
487           redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
488           if $(am__make_dryrun); then :; else \
489             rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
490           fi; \
491         fi; \
492         if test -n "$$am__remaking_logs"; then \
493           echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
494                "recursion detected" >&2; \
495         elif test -n "$$redo_logs"; then \
496           am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
497         fi; \
498         if $(am__make_dryrun); then :; else \
499           st=0;  \
500           errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
501           for i in $$redo_bases; do \
502             test -f $$i.trs && test -r $$i.trs \
503               || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
504             test -f $$i.log && test -r $$i.log \
505               || { echo "$$errmsg $$i.log" >&2; st=1; }; \
506           done; \
507           test $$st -eq 0 || exit 1; \
508         fi
509         @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
510         ws='[   ]'; \
511         results=`for b in $$bases; do echo $$b.trs; done`; \
512         test -n "$$results" || results=/dev/null; \
513         all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
514         pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
515         fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
516         skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
517         xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
518         xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
519         error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
520         if test `expr $$fail + $$xpass + $$error` -eq 0; then \
521           success=true; \
522         else \
523           success=false; \
524         fi; \
525         br='==================='; br=$$br$$br$$br$$br; \
526         result_count () \
527         { \
528             if test x"$$1" = x"--maybe-color"; then \
529               maybe_colorize=yes; \
530             elif test x"$$1" = x"--no-color"; then \
531               maybe_colorize=no; \
532             else \
533               echo "$@: invalid 'result_count' usage" >&2; exit 4; \
534             fi; \
535             shift; \
536             desc=$$1 count=$$2; \
537             if test $$maybe_colorize = yes && test $$count -gt 0; then \
538               color_start=$$3 color_end=$$std; \
539             else \
540               color_start= color_end=; \
541             fi; \
542             echo "$${color_start}# $$desc $$count$${color_end}"; \
543         }; \
544         create_testsuite_report () \
545         { \
546           result_count $$1 "TOTAL:" $$all   "$$brg"; \
547           result_count $$1 "PASS: " $$pass  "$$grn"; \
548           result_count $$1 "SKIP: " $$skip  "$$blu"; \
549           result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
550           result_count $$1 "FAIL: " $$fail  "$$red"; \
551           result_count $$1 "XPASS:" $$xpass "$$red"; \
552           result_count $$1 "ERROR:" $$error "$$mgn"; \
553         }; \
554         {                                                               \
555           echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
556             $(am__rst_title);                                           \
557           create_testsuite_report --no-color;                           \
558           echo;                                                         \
559           echo ".. contents:: :depth: 2";                               \
560           echo;                                                         \
561           for b in $$bases; do echo $$b; done                           \
562             | $(am__create_global_log);                                 \
563         } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
564         mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
565         if $$success; then                                              \
566           col="$$grn";                                                  \
567          else                                                           \
568           col="$$red";                                                  \
569           test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
570         fi;                                                             \
571         echo "$${col}$$br$${std}";                                      \
572         echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
573         echo "$${col}$$br$${std}";                                      \
574         create_testsuite_report --maybe-color;                          \
575         echo "$$col$$br$$std";                                          \
576         if $$success; then :; else                                      \
577           echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
578           if test -n "$(PACKAGE_BUGREPORT)"; then                       \
579             echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
580           fi;                                                           \
581           echo "$$col$$br$$std";                                        \
582         fi;                                                             \
583         $$success || exit 1
584
585 check-TESTS:
586         @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
587         @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
588         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
589         @set +e; $(am__set_TESTS_bases); \
590         log_list=`for i in $$bases; do echo $$i.log; done`; \
591         trs_list=`for i in $$bases; do echo $$i.trs; done`; \
592         log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
593         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
594         exit $$?;
595 recheck: all 
596         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
597         @set +e; $(am__set_TESTS_bases); \
598         bases=`for i in $$bases; do echo $$i; done \
599                  | $(am__list_recheck_tests)` || exit 1; \
600         log_list=`for i in $$bases; do echo $$i.log; done`; \
601         log_list=`echo $$log_list`; \
602         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
603                 am__force_recheck=am--force-recheck \
604                 TEST_LOGS="$$log_list"; \
605         exit $$?
606 gcmtest.log: gcmtest
607         @p='gcmtest'; \
608         b='gcmtest'; \
609         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
610         --log-file $$b.log --trs-file $$b.trs \
611         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
612         "$$tst" $(AM_TESTS_FD_REDIRECT)
613 .test.log:
614         @p='$<'; \
615         $(am__set_b); \
616         $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
617         --log-file $$b.log --trs-file $$b.trs \
618         $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
619         "$$tst" $(AM_TESTS_FD_REDIRECT)
620 @am__EXEEXT_TRUE@.test$(EXEEXT).log:
621 @am__EXEEXT_TRUE@       @p='$<'; \
622 @am__EXEEXT_TRUE@       $(am__set_b); \
623 @am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
624 @am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
625 @am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
626 @am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
627
628 distdir: $(DISTFILES)
629         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
630         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
631         list='$(DISTFILES)'; \
632           dist_files=`for file in $$list; do echo $$file; done | \
633           sed -e "s|^$$srcdirstrip/||;t" \
634               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
635         case $$dist_files in \
636           */*) $(MKDIR_P) `echo "$$dist_files" | \
637                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
638                            sort -u` ;; \
639         esac; \
640         for file in $$dist_files; do \
641           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
642           if test -d $$d/$$file; then \
643             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
644             if test -d "$(distdir)/$$file"; then \
645               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
646             fi; \
647             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
648               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
649               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
650             fi; \
651             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
652           else \
653             test -f "$(distdir)/$$file" \
654             || cp -p $$d/$$file "$(distdir)/$$file" \
655             || exit 1; \
656           fi; \
657         done
658 check-am: all-am
659         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
660 check: check-am
661 all-am: Makefile
662 installdirs:
663 install: install-am
664 install-exec: install-exec-am
665 install-data: install-data-am
666 uninstall: uninstall-am
667
668 install-am: all-am
669         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
670
671 installcheck: installcheck-am
672 install-strip:
673         if test -z '$(STRIP)'; then \
674           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
675             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
676               install; \
677         else \
678           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
679             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
680             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
681         fi
682 mostlyclean-generic:
683         -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
684         -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
685         -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
686
687 clean-generic:
688
689 distclean-generic:
690         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
691         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
692
693 maintainer-clean-generic:
694         @echo "This command is intended for maintainers to use"
695         @echo "it deletes files that may require special tools to rebuild."
696 clean: clean-am
697
698 clean-am: clean-generic mostlyclean-am
699
700 distclean: distclean-am
701         -rm -f Makefile
702 distclean-am: clean-am distclean-generic
703
704 dvi: dvi-am
705
706 dvi-am:
707
708 html: html-am
709
710 html-am:
711
712 info: info-am
713
714 info-am:
715
716 install-data-am:
717
718 install-dvi: install-dvi-am
719
720 install-dvi-am:
721
722 install-exec-am:
723
724 install-html: install-html-am
725
726 install-html-am:
727
728 install-info: install-info-am
729
730 install-info-am:
731
732 install-man:
733
734 install-pdf: install-pdf-am
735
736 install-pdf-am:
737
738 install-ps: install-ps-am
739
740 install-ps-am:
741
742 installcheck-am:
743
744 maintainer-clean: maintainer-clean-am
745         -rm -f Makefile
746 maintainer-clean-am: distclean-am maintainer-clean-generic
747
748 mostlyclean: mostlyclean-am
749
750 mostlyclean-am: mostlyclean-generic
751
752 pdf: pdf-am
753
754 pdf-am:
755
756 ps: ps-am
757
758 ps-am:
759
760 uninstall-am:
761
762 .MAKE: check-am install-am install-strip
763
764 .PHONY: all all-am check check-TESTS check-am clean clean-generic \
765         cscopelist-am ctags-am distclean distclean-generic distdir dvi \
766         dvi-am html html-am info info-am install install-am \
767         install-data install-data-am install-dvi install-dvi-am \
768         install-exec install-exec-am install-html install-html-am \
769         install-info install-info-am install-man install-pdf \
770         install-pdf-am install-ps install-ps-am install-strip \
771         installcheck installcheck-am installdirs maintainer-clean \
772         maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
773         pdf-am ps ps-am recheck tags-am uninstall uninstall-am
774
775 .PRECIOUS: Makefile
776
777
778 # Tell versions [3.59,3.63) of GNU make to not export all variables.
779 # Otherwise a system limit (for SysV at least) may be exceeded.
780 .NOEXPORT: